Bug 1660067 - extraAttributes is org.freedesktop.DBus.Error.UnknownProperty: Unknown property
Summary: extraAttributes is org.freedesktop.DBus.Error.UnknownProperty: Unknown property
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: sssd
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Zidek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1660083
TreeView+ depends on / blocked
 
Reported: 2018-12-17 12:53 UTC by Jan Pazdziora
Modified: 2020-05-02 19:04 UTC (History)
9 users (show)

Fixed In Version: sssd-2.1.0-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1660083 (view as bug list)
Environment:
Last Closed: 2019-04-02 09:32:02 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 4891 0 None None None 2020-05-02 19:04:28 UTC

Description Jan Pazdziora 2018-12-17 12:53:16 UTC
Description of problem:

Attempting to get extraAttributes via SSSD's ifp fails.

Version-Release number of selected component (if applicable):

sssd-dbus-2.0.0-4.fc29.x86_64

How reproducible:

Deterministic.

Steps to Reproduce:
1. Install and configure FreeIPA server, for example via
   ipa-server-install -r EXAMPLE.TEST -n example.test -p Secret123 -a Secret123
2. Attempt to get extraAttributes for user admin:
   dbus-send --print-reply --system --dest=org.freedesktop.sssd.infopipe /org/freedesktop/sssd/infopipe/Users/example_2etest/$( id -u admin ) org.freedesktop.DBus.Properties.Get string:"org.freedesktop.sssd.infopipe.Users.User" string:"extraAttributes"

Actual results:

Error org.freedesktop.DBus.Error.UnknownProperty: Unknown property

Expected results:

method return time=1545051067.561377 sender=:1.96 -> destination=:1.115 serial=15 reply_serial=2
   variant       array [
      ]

Additional info:

This is regression against sssd-dbus-1.16.3-2.fc28.x86_64 and older versions.

This is breaking Ipsilon. It was found when testing https://pagure.io/webauthinfra on Fedora 29: testing https://travis-ci.org/adelton/webauthinfra/builds/466857916

Comment 1 Jakub Hrozek 2018-12-17 13:16:43 UTC
Upstream ticket:
https://pagure.io/SSSD/sssd/issue/3906

Comment 2 Jakub Hrozek 2019-01-06 19:19:34 UTC
* master: 814889a7f4691a135b617058c3ae876b54d5b226


Note You need to log in before you can comment on or make changes to this bug.